#version 330 core
layout(location = 0) in vec3 aPos;
layout(location = 1) in vec3 aColor;
layout(location = 2) in vec2 aTexCoord; // 纹理坐标

out vec3 vertexColor;       //向片段着色器传递颜色数据
out vec2 TexCoord;          //向片段着色器传递纹理坐标数据

void main()
{
    gl_Position = vec4(aPos, 1.0);
    vertexColor = aColor;
    /* 传递纹理数据，并将垂直坐标翻转 */
    TexCoord = vec2(aTexCoord.x, 1.0 - aTexCoord.y);
}
